Bug 145217 - ehci_hcd "fatal error; HC died" error at startup
ehci_hcd "fatal error; HC died" error at startup
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-01-15 10:03 EST by Stefan Hoelldampf
Modified: 2015-01-04 17:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-12 03:16:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 3056 None None None Never

  None (edit)
Description Stefan Hoelldampf 2005-01-15 10:03:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
Certain PCI/PCMCIA-to-USB2.0 cards with NEC chipset cannot be used with ehci, it dies and the systems uses the slow ohci.

Errors like the following can be found in the log:

> hub 5-0:1.0: USB hub found
> hub 5-0:1.0: 2 ports detected
> ehci_hcd 0000:03:00.2: fatal error
> ehci_hcd 0000:03:00.2: HC died; cleaning up
> ohci_hcd 0000:03:00.1: wakeup
> usb 5-1: new full speed USB device using address 2
> usb 5-1: not running at top speed; connect to a high speed hub

Kernel's bugzilla has a submitted patch for 2.6.11 which fixes the problem when rebuilding kernel-2.6.10-1.741_FC3.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. plugin a USB2.0 card with NEC chipset
2. plugin e.g. USB2.0 HDD

Actual Results:  ehci dies, fallback to "slow" ohci.

Expected Results:  ehci should be used for full speed.

Additional info:
Comment 1 Stefan Hoelldampf 2005-04-12 03:16:23 EDT
The new kernel 2.6.11-1.14_FC3 fixes the problem as expected.


Note You need to log in before you can comment on or make changes to this bug.